From: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Date: Sun, 12 Sep 2021 08:12:39 +0200
Subject: power: supply: bq25890_charger: Read external power props on probe

Signed-off-by: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
---
 drivers/power/supply/bq25890_charger.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/drivers/power/supply/bq25890_charger.c b/drivers/power/supply/bq25890_charger.c
index 5e33040..7059bc7 100644
--- a/drivers/power/supply/bq25890_charger.c
+++ b/drivers/power/supply/bq25890_charger.c
@@ -1226,6 +1226,8 @@ static int bq25890_probe(struct i2c_client *client,
 		goto err_unregister_usb_notifier;
 	}
 
+	bq25890_external_power_changed(bq->charger);
+
 	return 0;
 
 err_unregister_usb_notifier:
